package org.rcisoft.bus.jnsp7xtmdqsj.dao;

import org.apache.ibatis.annotations.*;
import org.apache.ibatis.mapping.ResultSetType;
import org.apache.ibatis.session.ResultHandler;
import org.rcisoft.bus.jnsp7xtm.vo.Jnsp7xtmVo;
import org.rcisoft.bus.jnsp7xtmdqsj.dto.Jnsp7xtmDqsjExportTemplateDto;
import org.rcisoft.bus.jnsp7xtmdqsj.dto.Jnsp7xtmDqsjPageHandleDto;
import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.bus.jnsp7xtmdqsj.entity.Jnsp7xtmDqsj;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Repository;
import org.rcisoft.core.model.CyPageInfo;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;
import java.util.Map;

/**
* Created with cy on 2024年5月14日 上午10:20:48.
*/

public interface Jnsp7xtmDqsjRepository extends CyBaseMapper<Jnsp7xtmDqsj> {


    List<Jnsp7xtmDqsj> queryJnsp7xtmDqsjs(@Param("entity") Jnsp7xtmDqsj jnsp7xtmDqsj);

    /**
    * 分页查询 jnsp7xtmDqsj
    *
    */
    IPage<Jnsp7xtmDqsj> queryJnsp7xtmDqsjsPaged(CyPageInfo cyPageInfo,@Param("entity") Jnsp7xtmDqsj jnsp7xtmDqsj);

    /**
     * 查询月份的下拉框
     * **/
    List<String> getMonthList();

    /**
     * 截断表jnsp7xtm_dqsj信息
     * **/
    void truncateJnsp7xtmDqsj(@Param("shema") String shema);

    /**
     * 流式查询Jnsp7xtmVo
     * **/
    void streamQuery(ResultHandler<Jnsp7xtmVo> handler,@Param("entity") Jnsp7xtmDqsjPageHandleDto jnsp7xtmDqsjPageHandleDto );

    /**
     * 批量添加 Jnsp7xtmDqsj
     * **/
    void batchAddJnsp7xtmDqsj(@Param("list") List<Jnsp7xtmDqsj> list);

    /**
     * 查询Jnsp7xtmVo的总数
     * **/
    Integer queryTotalJnsp7xtmDqs();

    /**
     * 删除Jnsp7xtmDqs
     * **/
    int deleteJnsp7xtmDqs(@Param("entity") Jnsp7xtmDqsjPageHandleDto jnsp7xtmDqsjPageHandleDto);

    /**
     * 根据cc 查询客户有关的信息
     * **/
    List<Jnsp7xtmDqsj> queryCustomer(@Param("cc") String cc);

    /**
     * 根据pn 查询sypn的值
     * **/
    List<String> querySypnByPn(@Param("pn") String pn);

}

